# Uses of Class
org.springframework.beans.factory.wiring.BeanWiringInfo

Packages that use BeanWiringInfo
Package
Description
org.springframework.beans.factory.annotation
Support package for annotation-driven bean configuration.
org.springframework.beans.factory.wiring
Mechanism to determine bean wiring metadata from a bean instance.

## Uses of BeanWiringInfo in org.springframework.beans.factory.annotation

Methods in org.springframework.beans.factory.annotation that return BeanWiringInfo
Modifier and Type
Method
Description
`protected BeanWiringInfo`
AnnotationBeanWiringInfoResolver.`buildWiringInfo(Object beanInstance, Configurable annotation)`
Build the `BeanWiringInfo` for the given `Configurable` annotation.
`BeanWiringInfo`
AnnotationBeanWiringInfoResolver.`resolveWiringInfo(Object beanInstance)`

## Uses of BeanWiringInfo in org.springframework.beans.factory.wiring

Methods in org.springframework.beans.factory.wiring that return BeanWiringInfo
Modifier and Type
Method
Description
`BeanWiringInfo`
BeanWiringInfoResolver.`resolveWiringInfo(Object beanInstance)`
Resolve the BeanWiringInfo for the given bean instance.
`BeanWiringInfo`
ClassNameBeanWiringInfoResolver.`resolveWiringInfo(Object beanInstance)`